Subject: Re: bug#24882: 25.1; edebug-defun fails when lparen in string at BOL

From: David Bremner <[email-masked]>
Date: Wed, 30 Nov 2016 07:59:44 -0400

Matt Armstrong <[email-masked]> writes:

> Indeed this heuristic appears to be intentional, justified by an apeal
> to efficiency.  The Emacs manual uses an example very similar to
> `edebug-fail' above as a "what not to do" case:
> https://www.gnu.org/software/emacs/manual/html_node/emacs/Left-Margin-Paren.html
>
> David, if you agree with this rationale, mind closing the bug?

For what it's worth, I don't agree with the rationale. The debugger
should work on all syntactically correct defuns. If left parens in the
left margin are forbidden in emacs lisp, then I expect a syntax error
during normal evaluation.

At minimum, the debugger should detect this situation, rather than
silently doing the wrong thing.